cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/membership-products/{productId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/membership-products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/membership-products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"product": {
"productId": "66f7b8b1e13c8d25f4d3d90a",
"productType": "string",
"name": {},
"defaultLanguage": "string",
"description": {},
"price": 1,
"currency": "EUR",
"vatPercentage": 1,
"visibility": "string",
"isArchived": true,
"storeType": "string",
"trial": true,
"period": "string",
"credits": 1,
"creditCalendar": "string",
"creditValidity": {
"value": 1,
"unit": "string"
},
"contractPeriod": {
"value": 1,
"unit": "string"
},
"autoRenew": true,
"cancellationNoticePeriod": "string",
"assignCredits": true,
"allowNegativeCredits": true,
"maxNegativeCredits": 1,
"creditPools": [
{
"key": "string",
"name": "Example name",
"credits": 1,
"scheduleInterval": 1,
"scheduleUnit": "string",
"mode": "string"
}
],
"daysUsable": 1,
"validityAfterPurchase": {
"value": 1,
"unit": "string"
},
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z"
},
"links": {
"totalLinkedClients": 1,
"activeLinkedClients": 1
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Membership
Get membership products
Requires finance_products:read. Use includeArchived=true to read an archived product.
GET
/
public
/
v1
/
finance
/
membership-products
/
{productId}
cURL
curl -X GET "https://api.fitsociety.io/public/v1/finance/membership-products/{productId}" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/finance/membership-products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/finance/membership-products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"product": {
"productId": "66f7b8b1e13c8d25f4d3d90a",
"productType": "string",
"name": {},
"defaultLanguage": "string",
"description": {},
"price": 1,
"currency": "EUR",
"vatPercentage": 1,
"visibility": "string",
"isArchived": true,
"storeType": "string",
"trial": true,
"period": "string",
"credits": 1,
"creditCalendar": "string",
"creditValidity": {
"value": 1,
"unit": "string"
},
"contractPeriod": {
"value": 1,
"unit": "string"
},
"autoRenew": true,
"cancellationNoticePeriod": "string",
"assignCredits": true,
"allowNegativeCredits": true,
"maxNegativeCredits": 1,
"creditPools": [
{
"key": "string",
"name": "Example name",
"credits": 1,
"scheduleInterval": 1,
"scheduleUnit": "string",
"mode": "string"
}
],
"daysUsable": 1,
"validityAfterPurchase": {
"value": 1,
"unit": "string"
},
"createdAt": "2026-07-14T10:00:00.000Z",
"updatedAt": "2026-07-14T10:00:00.000Z"
},
"links": {
"totalLinkedClients": 1,
"activeLinkedClients": 1
}
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}
Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"